"$schema": "https://git.drupalcode.org/project/drupal/-/raw/10.1.x/core/modules/sdc/src/metadata.schema.json"
name: Testimonial card
group: Card
props:
  type: object
  required:
    - align
    - style
  properties:
    text:
      type: string
      title: Quote text
      pattern: "(.|\\r?\\n)*"
      examples:
        - "My career’s guidance was crucial in helping me understand the tech industry landscape and ultimately secure my role."
    cite_name:
      type: string
      title: Citation name
      examples:
        - "Isiah Julio"
    cite_text:
      type: string
      title: Citation text
      examples:
        - "Engineer, Technical Services"
    cite_url:
      type: string
      title: Citation link
    align:
      type: string
      title: Alignment
      enum:
        - center
        - left
      default: center
      examples:
        - center
    style:
      type: string
      title: Style
      enum:
        - default
        - inverted
      meta:enum:
        default: Default
        inverted: Inverted
      default: default
      examples:
        - default
    media:
      $ref: json-schema-definitions://canvas.module/image
      title: Image
      type: object
      examples:
        - src: "assets/portrait.png"
          alt: "Placeholder"
          width: 100
          height: 100
